package com.agilex.healthcare.schedulingmanager.mdws.connection;

import java.util.HashMap;
import java.util.Map;

public class ResponseMessage {
	private Map<String, Object> responseData = new HashMap<String, Object>();
	private RequestMessage requestMessage;

	public ResponseMessage() {
	}

	@SuppressWarnings("unchecked")
	public <T> T getValue(String key) {
		return (T) responseData.get(key);
	}

	public void setValue(String key, Object value) {
		responseData.put(key, value);
	}

	public RequestMessage getRequestMessage() {
		return requestMessage;
	}

	public void setRequestMessage(RequestMessage requestMessage) {
		this.requestMessage = requestMessage;
	}

}
